'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var getDependencies = exports.getDependencies = function getDependencies(components, type, attrs) {
  var toResolve = components.filter(function (component) {
    return component && component.asyncResolve && component.asyncResolve[type];
  }).map(function (component) {
    return component.asyncResolve[type];
  }).filter(function (resolve) {
    return resolve;
  });
  var promises = [].concat.apply([], toResolve).map(function (resolve) {
    return Promise.resolve(resolve(attrs));
  });
  return Promise.all(promises);
};

var isFunction = exports.isFunction = function isFunction(func) {
  return typeof func === 'function';
};

var isString = exports.isString = function isString(text) {
  return typeof text === 'string' || text instanceof String;
};